Get episode logs
curl --request GET \
--url https://softmax.com/api/observatory/v2/episodes/{episode_id}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/episodes/{episode_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/episodes/{episode_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"episode_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"league_id": "<string>",
"league_name": "<string>",
"reporter_id": "<string>",
"runs": [
{
"id": "<string>",
"reporter_version_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"html_url": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Episodes
Get episode logs
Return completed Canonical Log reporter runs configured for an episode’s league.
GET
/
v2
/
episodes
/
{episode_id}
/
logs
Get episode logs
Authorizations
Bearer token issued by Softmax
Path Parameters
Episode whose configured logs should be returned.
Response
Successful Response
Episode whose configured logs are returned.
League associated with the episode.
Current league display name.
Configured Canonical Log reporter, when enabled.
Completed Canonical Log runs, newest first.
Show child attributes
Show child attributes